# $Revision: 1.30 $, $Date: 2007-02-13 07:16:45 $
Summary:	C functions that draw extruded surfaces
Summary(pl.UTF-8):	Funkcje C do rysowania skomplikowanych przestrzeni
Name:		gle
Version:	3.1.0
Release:	3
License:	IBM or GPL
Group:		X11/Libraries
Source0:	http://dl.sourceforge.net/gle/%{name}-%{version}.tar.gz
# Source0-md5:	da5b45c6906343d4a3672c3de35513ad
Patch0:		%{name}-amfix.patch
URL:		http://www.linas.org/gle/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-glut-devel >= 3.7
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool >= 1:1.4.2-9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1

%description
GLE is a library package of C functions that draw extruded surfaces,
including surfaces of revolution, sweeps, tubes, polycones,
polycylinders and helicoids. Generically, the extruded surface is
specified with a 2D polyline that is extruded along a 3D path. A local
coordinate system allows for additional flexibility in the primitives
drawn. Extrusions may be texture mapped in a variety of ways. The GLE
library generates 3D triangle coordinates, lighting normal vectors and
texture coordinates as output. GLE uses the GL or OpenGL(R) API's to
perform the actual rendering.

%description -l pl.UTF-8
GLE jest biblioteką funkcji C, które pozwalają na rysowanie
powierzchni tłoczonych, w tym powierzchni obrotowych, rozciągnięć,
walców, stożków i spirali. Ogólnie, powierzchnia tłoczona jest
określona krzywą 2D rozciąganą wzdłuż ścieżki w 3D. Lokalny układ
współrzędnych pozwala na dodatkową elastyczność przy rysowaniu
krzywych. Powierzchnie tłoczone mogą mieć przypisane tekstury na wiele
sposobów. Biblioteka GLE generuje współrzędne trójkątów w 3D, wektory
normalne dla oświetlenia i współrzędne tekstury; do właściwego
renderowania sceny używa API GL lub OpenGL(R).

%package devel
Summary:	Libraries, includes, etc to develop gle applications
Summary(pl.UTF-8):	Biblioteki, pliki nagłówkowe i dokumentacja dla programisty gle
License:	IBM or GPL (code), Artistic or GPL (examples and docs)
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenGL-GLU-devel

%description devel
Include files and documentation you can use to develop gle
applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja dla programisty gle.

%package static
Summary:	Static gle library
Summary(pl.UTF-8):	Biblioteka statyczna libgle
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libgle library.

%description static -l pl.UTF-8
Biblioteka statyczna libgle.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} clean -C examples
install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/gle

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README COPYING src/COPYING.src
%attr(755,root,root) %{_libdir}/libgle.so.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/html/*.{html,gif}
%attr(755,root,root) %{_libdir}/libgle.so
%{_libdir}/libgle.la
%{_includedir}/GL/gle.h
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libgle.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gle.spec,v $
Revision 1.30  2007-02-13 07:16:45  glen
- tabs in preamble

Revision 1.29  2007/02/12 00:48:52  baggins
- converted to UTF-8

Revision 1.28  2006/07/18 10:03:45  qboosh
- updated amfix patch - link libgle with GL libs, don't use optional glut libs
  (just rely on glut linked properly)
- dropped (indirect now) xorg deps, -devel R: OpenGL-GLU-devel
- release 3

Revision 1.27  2006/04/02 09:59:00  megabajt
- modular xorg deps
- removed unpackaged files
- release 2 for Th

Revision 1.26  2005/07/15 21:45:33  blues
- duplicate

Revision 1.25  2004/09/25 11:20:51  radek
- cosmetics (spaces -> tabs)

Revision 1.24  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.23  2003/05/25 05:47:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2003/03/23 15:05:47  qboosh
- added amfix patch - now it builds when old version is installed

Revision 1.21  2003/03/21 08:07:29  trojan
- updated to 3.1.0

Revision 1.20  2003/02/28 10:07:56  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.19  2003/02/14 07:53:38  adgor
- Back to apropriate prefix

Revision 1.18  2003/02/01 21:32:19  radek
- updated Source0 URL

Revision 1.17  2003/01/18 22:48:36  juandon
- removed two lines with define

Revision 1.16  2002/12/29 23:25:57  adgor
- Fixed %doc

Revision 1.15  2002/11/25 14:13:04  ankry
- massive attack: no need for 755 for *.la

Revision 1.14  2002/07/07 18:40:17  qboosh
- updated to 3.0.7 (minor fixes)
- added examples, updated License information (different in subpackages)
- c++ patch is no more needed

Revision 1.13  2002/04/25 16:24:49  arturs
fixed a small typo

Revision 1.12  2002/04/17 09:17:49  marcus
- rel.4.

Revision 1.11  2002/02/23 02:17:44  kloczek
- adapterized.

Revision 1.10  2002/02/22 23:28:57  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:13:05  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/11/25 01:00:55  qrczak
- gle-c++.patch: use -lstdc++ for linking C++ programs

Revision 1.7  2001/10/20 16:49:03  qboosh
- better pl description
- use %%configure2_13 (autoconf would require some fixes)
- buildrequire glut with fixed linking
- release 3

Revision 1.6  2001/10/03 16:43:50  filon
- changed req for main subpkg in static subpkg to devel
- release 2

Revision 1.5  2001/05/22 00:06:45  qboosh
- updated to 3.0.3
- removed obsolete configure patch and unnecessary rebuilding auto* stuff

Revision 1.4  2001/04/07 10:35:02  jajcus
- _noautoreqdep   libGL.so.1 libGLU.so.1

Revision 1.3  2001/04/06 22:51:36  qboosh
- base package Requires OpenGL, -devel Requires OpenGL-devel

Revision 1.2  2001/04/02 07:33:45  kloczek
- cosmetics.

Revision 1.1  2001/04/01 09:28:53  misiek
new GL/OpenGL related library
